// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/yun.jpg',
    frameStyle: { useTop: false, name: '比赛列表', leftArrow: false, useBar: false, tabSelectid: '0' },
    // 主体高度
    infoHeight: '',
    active: 1,
    list: [
      {
        id: '1', name: '经开区足球比赛', fraction2: '1', groupname2: '马尼拉老年组', group: '第二组', fraction1: '2', groupname1: '哈拉海队幼儿园', match: '循环淘汰赛', listbisai: [], head2: '/image/head2.png', head1: '/image/head1.png', state: '报名中', datestart: '2022.01.20', dateend: '2022.01.22', address: '吉林省长春市远创国际A座'
      }
    ],
    lists: [
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },
      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      },

      {
        id: '1', name: '参赛队伍名称', person: '20', head: '/image/tou.png'
      }
    ],
    listbang: [{
      id: 1,
      name: "哈拉海队幼儿组",
      head: '/image/head2.png',
      score1: "9",
      score2: "0",
      score0: "1"
    }, {
      id: 2,
      name: "哈拉海队幼儿组",
      head: '/image/head2.png',
      score1: "1",
      score2: "0",
      score0: "1"
    }, {
      id: 3,
      name: "哈拉海队幼儿组",
      head: '/image/head2.png',
      score1: "1",
      score2: "0",
      score0: "1"
    }, {
      id: 4,
      name: "哈拉海队幼儿组",
      head: '/image/head2.png',
      score1: "1",
      score2: "1",
      score0: "1"
    }],
    listbisai: [
      {
        id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '0', groupname2: '马尼拉组', fraction1: '0', site: '第一场', groupname1: '哈拉海组', time: '13：00', date: '01.15', start: '未开始'
      },
      {
        id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '0', groupname2: '马尼拉组', fraction1: '0', site: '第一场', groupname1: '哈拉海组', time: '13：00', date: '01.15', start: '已结束'
      }
    ],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})